Page MenuHomePhabricator

[Task] keep usage tracking stats over time
Closed, ResolvedPublic

Description

Currently we only have usage tracking stats for the current moment. We should keep and display these stats over time so we are able to see trends and changes.

Event Timeline

Lydia_Pintscher raised the priority of this task from to High.
Lydia_Pintscher updated the task description. (Show Details)
Lydia_Pintscher added a project: Wikidata.
Lydia_Pintscher added subscribers: aude, Lydia_Pintscher.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 28 2015, 10:40 AM

If we make it append to an .tsv with one record per date then we could display that via shiny as to be used in T108404: [Story] create a Wikidata analytics dashboard. That is how all the things displayed in the search dashboard currently work, the only datasource are .tsv files. These files get generated by cron jobs on stat1002 or something like that so that they show up after an rsync on https://datasets.wikimedia.org/aggregate-datasets/ .

To run this on stat1003 (1002 was my error, it is the wrong one, as it is more for hadoop stuff) other stuff like it currently is just checked out from gerrit by puppet.

Per https://phabricator.wikimedia.org/T117403 I plan on storing these in graphite on a daily basis once a config change for graphite has been merged

Addshore claimed this task.Nov 4 2015, 9:41 AM
Addshore moved this task from Incoming to Doing on the WMDE-Analytics-Engineering board.
Addshore closed this task as Resolved.Nov 17 2015, 6:20 PM

Done in https://gerrit.wikimedia.org/r/#/c/253625/

Initial dashboard can be found on grafana although more work needs to take place to make this better...

https://grafana.wikimedia.org/dashboard/db/wikidata-entity-usage